Bullet Collision Detection & Physics Library: btRotationalLimitMotor Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btRotationalLimitMotor Class Reference

Rotation Limit structure for generic joints. More...

`#include <btGeneric6DofConstraint.h>`

## Public Member Functions
| btRotationalLimitMotor ()
| btRotationalLimitMotor (const btRotationalLimitMotor &limot)
bool | isLimited () const
| Is limited.
bool | needApplyTorques () const
| Need apply correction.
int | testLimitValue (btScalar test_value)
| calculates error
btScalar | solveAngularLimits (btScalar timeStep, btVector3 &axis, btScalar jacDiagABInv, btRigidBody *body0, btRigidBody *body1)
| apply the correction impulses for two bodies

## Public Attributes
btScalar | m_loLimit
| limit_parameters
btScalar | m_hiLimit
| joint limit
btScalar | m_targetVelocity
| target motor velocity
btScalar | m_maxMotorForce
| max force on motor
btScalar | m_maxLimitForce
| max force on limit
btScalar | m_damping
| Damping.
btScalar | m_limitSoftness
btScalar | m_normalCFM
| Relaxation factor.
btScalar | m_stopERP
| Error tolerance factor when joint is at limit.
btScalar | m_stopCFM
| Constraint force mixing factor when joint is at limit.
btScalar | m_bounce
| restitution factor
bool | m_enableMotor
btScalar | m_currentLimitError
| temp_variables
btScalar | m_currentPosition
| How much is violated this limit.
int | m_currentLimit
| current value of angle
btScalar | m_accumulatedImpulse

## Detailed Description

Rotation Limit structure for generic joints.

Definition at line 44 of file btGeneric6DofConstraint.h.

## Constructor & Destructor Documentation

## ◆ btRotationalLimitMotor() [1/2]

btRotationalLimitMotor::btRotationalLimitMotor | ( |  | ) |
| inline

Definition at line 72 of file btGeneric6DofConstraint.h.

## ◆ btRotationalLimitMotor() [2/2]

btRotationalLimitMotor::btRotationalLimitMotor | ( | const btRotationalLimitMotor & | limot | ) |
| inline

Definition at line 91 of file btGeneric6DofConstraint.h.

## Member Function Documentation

## ◆ isLimited()

bool btRotationalLimitMotor::isLimited | ( |  | ) | const
| inline

Is limited.

Definition at line 108 of file btGeneric6DofConstraint.h.

## ◆ needApplyTorques()

bool btRotationalLimitMotor::needApplyTorques | ( |  | ) | const
| inline

Need apply correction.

Definition at line 115 of file btGeneric6DofConstraint.h.

## ◆ solveAngularLimits()

btScalar btRotationalLimitMotor::solveAngularLimits | ( | btScalar | timeStep,
|  | btVector3 & | axis,
|  | btScalar | jacDiagABInv,
|  | btRigidBody * | body0,
|  | btRigidBody * | body1 )

apply the correction impulses for two bodies

Definition at line 132 of file btGeneric6DofConstraint.cpp.

## ◆ testLimitValue()

int btRotationalLimitMotor::testLimitValue | ( | btScalar | test_value | ) |

calculates error

calculates m_currentLimit and m_currentLimitError.

Definition at line 100 of file btGeneric6DofConstraint.cpp.

## Member Data Documentation

## ◆ m_accumulatedImpulse

btScalar btRotationalLimitMotor::m_accumulatedImpulse

Definition at line 69 of file btGeneric6DofConstraint.h.

## ◆ m_bounce

btScalar btRotationalLimitMotor::m_bounce

restitution factor

Definition at line 59 of file btGeneric6DofConstraint.h.

## ◆ m_currentLimit

int btRotationalLimitMotor::m_currentLimit

current value of angle

0=free, 1=at lo limit, 2=at hi limit

Definition at line 68 of file btGeneric6DofConstraint.h.

## ◆ m_currentLimitError

btScalar btRotationalLimitMotor::m_currentLimitError

temp_variables

Definition at line 66 of file btGeneric6DofConstraint.h.

## ◆ m_currentPosition

btScalar btRotationalLimitMotor::m_currentPosition

How much is violated this limit.

Definition at line 67 of file btGeneric6DofConstraint.h.

## ◆ m_damping

btScalar btRotationalLimitMotor::m_damping

Damping.

Definition at line 54 of file btGeneric6DofConstraint.h.

## ◆ m_enableMotor

bool btRotationalLimitMotor::m_enableMotor

Definition at line 60 of file btGeneric6DofConstraint.h.

## ◆ m_hiLimit

btScalar btRotationalLimitMotor::m_hiLimit

joint limit

Definition at line 50 of file btGeneric6DofConstraint.h.

## ◆ m_limitSoftness

btScalar btRotationalLimitMotor::m_limitSoftness

Definition at line 55 of file btGeneric6DofConstraint.h.

## ◆ m_loLimit

btScalar btRotationalLimitMotor::m_loLimit

limit_parameters

joint limit

Definition at line 49 of file btGeneric6DofConstraint.h.

## ◆ m_maxLimitForce

btScalar btRotationalLimitMotor::m_maxLimitForce

max force on limit

Definition at line 53 of file btGeneric6DofConstraint.h.

## ◆ m_maxMotorForce

btScalar btRotationalLimitMotor::m_maxMotorForce

max force on motor

Definition at line 52 of file btGeneric6DofConstraint.h.

## ◆ m_normalCFM

btScalar btRotationalLimitMotor::m_normalCFM

Relaxation factor.

Constraint force mixing factor

Definition at line 56 of file btGeneric6DofConstraint.h.

## ◆ m_stopCFM

btScalar btRotationalLimitMotor::m_stopCFM

Constraint force mixing factor when joint is at limit.

Definition at line 58 of file btGeneric6DofConstraint.h.

## ◆ m_stopERP

btScalar btRotationalLimitMotor::m_stopERP

Error tolerance factor when joint is at limit.

Definition at line 57 of file btGeneric6DofConstraint.h.

## ◆ m_targetVelocity

btScalar btRotationalLimitMotor::m_targetVelocity

target motor velocity

Definition at line 51 of file btGeneric6DofConstraint.h.

The documentation for this class was generated from the following files:

- btGeneric6DofConstraint.h
- btGeneric6DofConstraint.cpp